var tag = document.createElement('script');
tag.src = "https://www.youtube.com/iframe_api";
var firstScriptTag = document.getElementsByTagName('script')[0];
firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);

var player;
    function onYouTubeIframeAPIReady() {
      player = new YT.Player('player', {
        height: '480px',
        width: '100%',
        videoId: 'EAmLLUDvOso',
        events: {
          'onReady': onPlayerReady,
          'onStateChange': onPlayerStateChange
        }
      });
    }

function onPlayerReady(event) {
  event.target.playVideo();
}

  function onPlayerStateChange(event) {
    if (event.data == YT.PlayerState.PLAYING) {
      setInterval(stopVideo,100);
  }
}

/*
    t[0] <- 5
    t[1] <- 10
    t[2] <- 15
    ...
    t[count] -> t[0] -> 5
    count++ -> count + 1 -> 0 + 1 -> 1 -> count
    t[count] -> t[1] -> 10
    ...
    count-- -> 1 - 1 -> 0 -> count
*/
var t=[5,10];
var count=0;
var d=false;

function stopVideo() {
    /*
        Se encarga de detener o pausar el video en base a unas condiciones preestablecidas
    */
    
     /*
        Se obtiene la posición de reproducción actual, possblemente el valor sea en segundos incluyendo décimas de segundo.
        Pero la variable "a" se redondea el valor a segundos, así que contiene un valor entero.
        Ejmplo:
            player.getCurrentTime() -> 15.20
            Math.round(player.getCurrentTime()) -> 15 -> a
     */
    var a= Math.round(player.getCurrentTime());
    
    /*
        La condición es verdadera cuando
            "a" es igual a 28
            y
            la negación de "d" es verdadera (negación de falso => verdadero)
        
        a | a==28 | d | !d | a==28&&!d
        ------------------------------
        0 | f     | f | t  | f
        1 | f     | f | t  | f
        2 | f     | f | t  | f
        ...
        28 | t    | f | t  | t
    */
    if(a==64&&!d){
      /* se ejecuta si a es 28 y d es false */
      player.pauseVideo(); /* se pausa el video */
      document.getElementById('overlay1').style.display='block'; /* muestra la pregunta */
      d=true;
    }
    if(a==32&&d){
      /* se ejecuta si a es 32 y d es true */
      player.pauseVideo(); /* se pausa el video */
      document.getElementById('overlay2').style.display='block'; /* muestra la siguiente pregunta */
      d=false;
    }
    if(a==120&&!d){
      /* se ejecuta si a es 120 y d es false */
      player.pauseVideo(); /* se pausa el video */
      document.getElementById('overlay3').style.display='block'; /* muestra la siguiente pregunta */
      d=true;
    }
    
    if(a==t[count]){
      /* es verdadero cuando a coincide con algún valor de t */
      if(count%2==0&&!d){
        /*
            count -> 0, count%2 -> 0/2 = 0, residuo = 0, true
            count -> 1, count%2 -> 1/2 = 0, residuo = 1, false
            count -> 2, count%2 -> 2/2 = 1, residuo = 0, true
            count -> 3, count%2 -> 3/2 = 1, residuo = 1, false
            ...
            
            es verdadero cuando count es par y d es false
        */
        player.pauseVideo();
        document.getElementById('overlayN').style.display='block'; /* muestra la siguiente pregunta */
        count++;
        d=true;
      }
      else{
        /*
            cuando count es impar o d es true
            
            ¿para que este bloque?
            ¿para que la "d"?
        */
        player.pauseVideo();
        document.getElementById('overlayN').style.display='block';
        count++;
        d=false;
      }
    }
}

function verificar(p){
  document.getElementById('overlay1').style.display='none';
  var rad= document.getElementsByName("p1");
    if(rad[0].checked){
      document.getElementById('overlay1').style.display='none';
      document.getElementById('overlay2').style.display='block';
      $('#overlay2').empty();
      $('#overlay2').append("<p><strong>Correcto.</strong> Esta es una pregunta abierta que permite explorar el motivo de consulta sin limitar la respuesta de la persona.</p>");
      $('#overlay2').append("<button onclick="+"continuar(1)"+">Continuar</button>");
     }
     if(rad[1].checked){
      document.getElementById('overlay').style.display='none';
      document.getElementById('overlay2').style.display='block';
      $('#overlay2').empty();
      $('#overlay2').append("<p><strong>Incorrecto.</strong> Esta pregunta da pista de que es un lugar al que solo recurrirías si se encontrase en una situación grave.</p>");
      $('#overlay2').append("<button onclick="+"continuar(0)"+">Regresar</button>");
     }
     if(rad[2].checked){
      document.getElementById('overlay').style.display='none';
      document.getElementById('overlay2').style.display='block';
      $('#overlay2').empty();
      $('#overlay2').append("<p><strong>Incorrecto.</strong> Es un dato útil, sin embargo este se deberá recabar en la historia clínica previamente realizada.</p>");
      $('#overlay2').append("<button onclick="+"continuar(0)"+">Regresar</button>");
     }
     if(rad[3].checked){
      document.getElementById('overlay').style.display='none';
      document.getElementById('overlay2').style.display='block';
      $('#overlay2').empty();
      $('#overlay2').append("<p><strong>Incorrecto.</strong> Esta pregunta afirma que la situación por la que pasa la persona es un problema, esta palabra no debe ser usada por el terapeuta en este momento.</p>");
      $('#overlay2').append("<button onclick="+"continuar(0)"+">Regresar</button>");
     }
}

function continuar(a){
  if(a==1) {
    document.getElementById('overlay').style.display='none';
    document.getElementById('overlay2').style.display='none';
    player.playVideo();
  }
  if(a==0){
    document.getElementById('overlay').style.display='block';
    document.getElementById('overlay2').style.display='none';
  }
}

var preguntas =[
["¿Podría comentarme más respecto a este temor al abandono que menciona?",
"En cuanto a su temor al abandono ¿Cuál es la causa por la que este se presenta?",
"¿Por qué se da este temor al abandono que me está comentando?",
"¿Que más me podría comentar respecto a sus temores?"],

["¿Podría describir la última vez que se presentó este temor al abandono? ",
"¿Recuerda la última vez que presento este temor a ser abandonado?",
"¿Qué es lo que sucedió la última vez que se presentó uno de sus temores?",
"¿Cuándo fue la última vez que presento este temor al abandono?"],

["¿De qué manera este temor a ser abandonado afecta a otras áreas de su vida?",
"Específicamente ¿Cómo es que el tener temor a ser abandonado ha afectado su vida?",
"¿Cómo es que otros problemas en su vida, afectan al que presente este temor a ser abandonado?",
"¿Qué otros problemas presenta además de este que temor al abandono?"],

["¿Ha notado de qué manera este temor al abandono  puede afectar a las personas que le rodean?",
"¿Se ha percatado de que su temor a ser abandonado afecta a los demás?",
"¿De qué manera las personas que le rodean afectan a presente un temor a ser abandonado?",
"¿Las demás personas se muestran negativos ante el hecho de que presente este temor a ser abandonado?"],

["¿Ha buscado ayuda para la resolución de el temor al abandono?",
"¿Ha buscado ayuda en otras personas para resolver sus temores?",
"¿Alguien más le ha ayudado para resolver su temor al abandono?",
"¿Hay alguien a quien ya le haya contado respecto a este temor?"],

["¿En qué otros momentos se presenta el temor al abandono además de en sus relaciones de pareja? ",
"¿Cuenta con el apoyo de algún amigo o familiar que trate de ayudarlo al momento en que se presenta este temor al abandono?",
"¿Podría decirme específicamente bajo que situaciones se presenta esté temor a ser abandonado?",
"¿Qué circunstancias cree usted que sean los factores que mejoren o empeoren el que aparezca este temor a ser abandonado? "],

["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""],
["","","",""]
];